<%@ control autoeventwireup="false" codebehind="Plugins.ascx.cs" inherits="DNNMasters.SEO.URLProvider.UI.Settings.UserControls.Plugins"
    language="c#" targetschema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>    

<dnn:sectionhead id="_dshPlugins" runat="server" resourcekey="_dshPlugins"
    cssclass="NormalBold" section="tblPlugins" IsExpanded="True" IncludeRule="true">
</dnn:sectionhead>

<table id="tblPlugins" runat="server">
    <tr>
        <td>
        <table>
            <tr>
                <td class="Normal">
                    <dnn:label id="lblDisablePluginAutomaticallyOnOff" resource="lblDisablePluginAutomaticallyOnOff" controlname="" suffix="" runat="server">
			          </dnn:label>
                </td>
                <td class="Normal">
                    <asp:CheckBox ID="_chkDisablePluginAutomatically" runat="server" />
                </td>
            </tr>
        </table>
        <asp:LinkButton ID="_lnkSave" runat="server">Save</asp:LinkButton>
        </td>
    </tr>
    <tr>
        <td  class="Normal">
        <asp:GridView ID="_grdPlugins" runat="server" AutoGenerateColumns="false" DataKeyNames="PluginID" 
                Width="550px" AllowPaging="false">
                <Columns>
                    <asp:BoundField DataField="PluginID" Visible="false" />
                    <asp:BoundField DataField="PluginName" HeaderText="Plugin Name" />
                    <asp:BoundField DataField="PluginDLL" HeaderText="Library" />
                    <asp:BoundField DataField="PluginDesc" HeaderText="Description" />
                    <asp:BoundField DataField="IsEnabled" HeaderText="Enabled" />
                    
                    <asp:TemplateField HeaderText="Settings">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEdit" runat="server" CommandName="EditPlugin" Text="Edit"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"PluginID").ToString() %>' />&nbsp;&nbsp;
                            <asp:LinkButton ID="lnkDisable" runat="server" CommandName="DisablePlugin" Text="Disable"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"PluginID").ToString() %>' />
                                &nbsp;&nbsp;
                            <asp:LinkButton ID="lnkEnable" runat="server" CommandName="EnablePlugin" Text="Enable"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"PluginID").ToString() %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>

        </td>
    </tr>
</table>
<asp:PlaceHolder ID="_plhControls" runat="server"></asp:PlaceHolder>